# Generated by Django 3.1.3 on 2021-01-18 22:48

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Person",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("username", models.TextField(verbose_name="Uživatelské jméno osoby")),
                (
                    "profile_id",
                    models.IntegerField(
                        blank=True,
                        default=0,
                        validators=[
                            django.core.validators.MinValueValidator(0),
                            django.core.validators.MaxValueValidator(2),
                        ],
                        verbose_name="Číslo medailonku (0..2) z lide.pirati.cz",
                    ),
                ),
                (
                    "perex",
                    models.TextField(blank=True, verbose_name="Defaultni perex osoby"),
                ),
            ],
            options={
                "verbose_name": "Pirát",
                "verbose_name_plural": "Piráti",
            },
        ),
    ]
